chiark / gitweb /
git-debrebase: capture breakwater tip
[dgit.git] / tests / run-all
index b5c5bb06abeaa13a87abfae1f5a3e208b26e5f01..cfa5ce2ff1ac7c260ca04fd088547dd15b5aef84 100755 (executable)
@@ -1,15 +1,23 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 # convenience script for running the tests outside adt-run
 # usage: tests/using-intree tests/run-all
 
+set -o pipefail
+
 set +e
-jcpus=`perl -MSys::CPU -we 'printf "-j%d\n",Sys::CPU::cpu_count()'`
+jcpus=`perl -MSys::CPU -we 'printf "-j%d\n", 1.34 * Sys::CPU::cpu_count()'`
 set -e
 
 if [ $# != 0 ]; then
        set TESTSCRIPTS="$*"
 fi
 
-set -x
-exec make $jcpus -k -f tests/Makefile "$@"
+mkdir -p tests/tmp
+
+export DGIT_GNUPG_STUNT_ERRLOG=$( tty -s ||: )
+
+(
+ set -x
+ exec make $jcpus -k -f tests/Makefile "$@"
+) 2>&1 |tee tests/tmp/run-all.log